#ifndef	IAC

#define	LINESIZE	256	/* Length of local editing buffer */

/* Telnet command characters */
#define	IAC		255	/* Interpret as command */
#define	WILL		251
#define	WONT		252
#define	DO		253
#define	DONT		254

/* Telnet options */
#define	TN_TRANSMIT_BINARY	0
#define	TN_ECHO			1
#define	TN_SUPPRESS_GA		3
#define	TN_STATUS		5
#define	TN_TIMING_MARK		6
#define	NOPTIONS		6

/* Telnet protocol control block */
struct telnet {
	char local[NOPTIONS];	/* Local option settings */
	char remote[NOPTIONS];	/* Remote option settings */

	struct session *session;	/* Pointer to session structure */
	struct proc *input;		/* net -> console */
	struct proc *output;		/* console -> net */
	struct proc *upload;		/* Upload process, if any */
};
#define	NULLTN	(struct telnet *)0
extern int Refuse_echo;
/* In telnet.c: */
void tel_input __ARGS((int unused,void *tn1,void *p));
void tel_upload __ARGS((int unused,void *sp1,void *p));

#endif	/* IAC */
